﻿Public Class yahtze
    Dim dice(5) As PictureBox
    Dim diceValue(5) As Integer
    Dim hold(5) As CheckBox
    Dim titles(16) As String
    Dim myFont As Font
    Dim txtScore As TextBox
    Dim rollTotal, rollCount, players As Integer

    Private Sub GetScoreTitles()
        Dim myReader As IO.StreamReader
        myReader = IO.File.OpenText("ScoreTitles.txt")
        For i As Integer = 1 To 16
            titles(i) = myReader.ReadLine
        Next
        myReader.Close()
    End Sub

    Private Sub PrepareDiceTableau()

        Dim btnRoll As Button = New Button
        btnRoll.Text = "Roll UNselected Dice"
        btnRoll.Location = New Point(10, 10)
        btnRoll.Width = 200
        btnRoll.Height = 35
        btnRoll.BackColor = Color.Purple
        btnRoll.ForeColor = Color.Gold
        btnRoll.Font = myFont
        Me.Controls.Add(btnRoll)
        AddHandler btnRoll.Click, AddressOf btnRoll_Click

        Dim xLeft, yTop As Integer
        xLeft = 60
        yTop = 50
        Dim lblHold As New Label
        lblHold.Text = "HOLD"
        lblHold.Location = New Point(xLeft - 12, yTop - 20)
        Me.Controls.Add(lblHold)

        For i As Integer = 1 To 5
            hold(i) = New CheckBox
            hold(i).Text = ""
            hold(i).Width = 15
            hold(i).Location = New Point(xLeft, yTop + (i - 1) * 75 + 20)
            Me.Controls.Add(hold(i))

            dice(i) = New PictureBox
            dice(i).Size = New Size(60, 60)
            dice(i).Location = New Point(xLeft + 30, yTop + (i - 1) * 75)
            dice(i).SizeMode = PictureBoxSizeMode.AutoSize
            dice(i).Image = My.Resources.ResourceManager.GetObject("die" & i.ToString)
            Me.Controls.Add(dice(i))
        Next
        Dim lblScore As New Label
        lblScore.Text = "Roll Total"
        lblScore.Location = New Point(10, yTop + 75 * 5)
        lblScore.Width = 75
        Me.Controls.Add(lblScore)
        txtScore = New TextBox
        txtScore.Text = 0.ToString
        txtScore.Location = New Point(90, yTop + 75 * 5 - 5)
        txtScore.Width = 25
        Me.Controls.Add(txtScore)
    End Sub

    Private Sub PrepareScoreCard()
        Dim i As Integer
        players = InputBox("How many players?")
        Dim playerNames(players) As String
        playerNames(0) = "Score Category"
        For i = 1 To players
            playerNames(i) = InputBox("Player " & i.ToString & " name?")
        Next

        Dim xRight, yTop, x, y As Integer
        Dim categories(16) As Label
        Dim headings(players) As Label
        Dim scores(16, players) As TextBox
        xRight = 10
        yTop = 50
        For i = 0 To 16
            x = Me.Width - 150 - i * 75
        Next

    End Sub


    Private Function randomRoll()
        Return Fix(Rnd() * 6) + 1
    End Function



    Private Sub btnRoll_Click()
        Dim die As Integer
        Dim rollValue As Integer
        rollTotal = 0
        For die = 1 To 5
            If Not hold(die).Checked Then
                rollValue = randomRoll()
                diceValue(die) = rollValue
                dice(die).Image = My.Resources.ResourceManager.GetObject("die" & rollValue.ToString)
            End If
            rollTotal += diceValue(die)
        Next
        txtScore.Text = rollTotal
    End Sub


    Private Sub takeTurn(player As Integer)
        For i As Integer = 1 To 3

        Next
    End Sub


    Private Sub yahtze_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        myFont = New Font("Sans Serif", 12, FontStyle.Bold)
        Me.BackColor = Color.DarkGreen

        GetScoreTitles()
        PrepareDiceTableau()
        PrepareScoreCard()

        For round As Integer = 1 To 15
            For player As Integer = 1 To players
                takeTurn(player)
            Next
        Next
    End Sub


End Class